# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-14 06:45
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('remote_address', models.CharField(blank=True, max_length=255, null=True)),
                ('user_email', models.CharField(blank=True, max_length=255, null=True)),
                ('method_type', models.CharField(blank=True, max_length=255, null=True)),
                ('method_name', models.CharField(blank=True, max_length=255, null=True)),
                ('access_token', models.CharField(blank=True, max_length=350, null=True)),
                ('request_content_length', models.CharField(blank=True, max_length=255, null=True, verbose_name='Request size in Kilobyte.')),
                ('request_content', models.TextField(blank=True, null=True)),
                ('request_datetime', models.DateTimeField(blank=True, null=True)),
                ('response_status_type', models.CharField(blank=True, max_length=255, null=True)),
                ('response_content', models.TextField(blank=True, null=True)),
                ('response_content_length', models.CharField(blank=True, max_length=255, null=True, verbose_name='Response size in Kilobyte.')),
                ('response_datetime', models.DateTimeField(blank=True, null=True)),
                ('total_time_taken', models.FloatField(blank=True, null=True)),
                ('extra_log', models.TextField(blank=True, null=True)),
                ('exception_full_stack_trace', models.TextField(blank=True, null=True)),
                ('exception_short_value', models.CharField(blank=True, max_length=255, null=True)),
            ],
        ),
    ]
